Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 2814)
@@ -39,5 +39,5 @@
 List=	()
 ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_ahmcoef_v1.0.nc, ahmcoef.nc), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_bathy_meter_v2.1.nc, bathy_meter.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_bathy_meter_v2.2.nc, bathy_meter.nc), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_coordinates_v1.0.nc, coordinates.nc), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
@@ -47,5 +47,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Goutorbe_ghflux.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc, .),\
-	    (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_subbasins_v1.nc, subbasins.nc),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_K1_v1.0.nc, K1rowdrg.nc),\
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card	(revision 2814)
@@ -10,5 +10,13 @@
 [BoundaryFiles]
 List=   ()
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/dust_INCA_eORCA_R1.nc, .), \
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/DIC_GLODAP_annual_eORCA_R1.nc, .       ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Alkalini_GLODAP_annual_eORCA_R1.nc, . ) \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/O2_WOA2009_monthly_eORCA_R1.nc, . ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/PO4_WOA2009_monthly_eORCA_R1.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Si_WOA2009_monthly_eORCA_R1.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/DOC_PISCES_monthly_eORCA_R1.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Fer_PISCES_monthly_eORCA_R1.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/NO3_WOA2009_monthly_eORCA_R1.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/dust_INCA_eORCA_R1.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/pmarge_etopo_eORCA_R1.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/river_global_news_eORCA_R1.nc, .), \
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card	(revision 2814)
@@ -39,5 +39,5 @@
 List=	()
 ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_ahmcoef_v1.0.nc, ahmcoef.nc), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_bathy_meter_v2.1.nc, bathy_meter.nc), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_bathy_meter_v2.2.nc, bathy_meter.nc), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_coordinates_v1.0.nc, coordinates.nc), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
@@ -47,5 +47,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Goutorbe_ghflux.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc, .),\
-	    (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .),\
+	    (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_subbasins_v1.nc,subbasins.nc),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/eORCA_R1_K1_v1.0.nc, K1rowdrg.nc),\
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 2814)
@@ -30,6 +30,79 @@
 #-----------------------------------------------------------------
 function OCE_Update
-{
+
     IGCM_debug_PushStack "OCE_Update"
+
+
+    ##-- 
+    if [ X"${opa9_UserChoices_Online}" = Xy ] ; then
+	OCE_Online_Update
+    else
+	OCE_Offline_Update
+    fi
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ## Count of number of time steps from begin of OPA job
+    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NDT_DAY + 1 ))
+    (( OPA_NDT   = PeriodLengthInDays * OPA_NDT_DAY ))
+    (( OPA_NITEND = OPA_NIT000 + OPA_NDT - 1))
+
+    ## Forcing to write one restart file at the end of period
+    OPA_NSTOCK="${OPA_NITEND}"
+
+    ## Verification of number of time steps per day
+    (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
+    (( NB_SEC_DAY = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
+	then
+        echo " NB_SEC_DAY_MODEL "${NB_SEC_DAY_MODEL} "NB_SEC_DAY" ${NB_SEC_DAY} "OPA_NDT_DAY" ${OPA_NDT_DAY} "OPA_RDT" ${OPA_RDT}
+        echo " VERIFY OPA_NDT_DAY in opa9.card "
+        exit
+    fi
+
+      
+     ## nleapy configuration
+	case ${config_UserChoices_CalendarType} in
+        	leap)
+            	OPA_NLEAPY=1;;
+        	noleap)
+            	OPA_NLEAPY=0;;
+        	360d)
+            	OPA_NLEAPY=30;;
+    	esac
+
+
+        typeset -r PRECIS=8
+	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
+
+   IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp    ${config_UserChoices_JobName}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000  ${OPA_NIT000}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend  ${OPA_NITEND}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart ${OPA_LRSTAR}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock ${OPA_NSTOCK}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl ${OPA_NRSTDT}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0 ${PeriodDateBegin}
+   IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh    ${OPA_NMSH}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
+
+   # update domain_def.xml file
+   case ${RESOL_OCE} in
+       ( *ORCA2* ) 
+          sed -e 's/<domain id="1point" zoom_ibegin="150" zoom_jbegin="150"/<domain id="1point" zoom_ibegin="10" zoom_jbegin="10"/' domain_def.xml > domain_def.xml.tmp 
+          IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ;
+   esac
+
+
+    IGCM_debug_PushStack "OCE_Update"
+
+
+{
+}
+function OCE_Online_Update
+{
+    IGCM_debug_PushStack "OCE_Online_Update"
 
     # Interannual run
@@ -171,26 +244,4 @@
 
     done
-    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
-    # Needed by OPA namelist to compute correct file names 
-    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
-
-    ## Count of number of time steps from begin of OPA job
-    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NDT_DAY + 1 ))
-    (( OPA_NDT   = PeriodLengthInDays * OPA_NDT_DAY ))
-    (( OPA_NITEND = OPA_NIT000 + OPA_NDT - 1))
-
-    ## Forcing to write one restart file at the end of period
-    OPA_NSTOCK="${OPA_NITEND}"
-
-    ## Verification of number of time steps per day
-    (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
-    (( NB_SEC_DAY = 60 * 60 * 24 ))
-
-    if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
-	then
-        echo " NB_SEC_DAY_MODEL "${NB_SEC_DAY_MODEL} "NB_SEC_DAY" ${NB_SEC_DAY} "OPA_NDT_DAY" ${OPA_NDT_DAY} "OPA_RDT" ${OPA_RDT}
-        echo " VERIFY OPA_NDT_DAY in opa9.card "
-        exit
-    fi
 
     ##-- Restart configuration
@@ -219,38 +270,15 @@
 
     fi
-   
-     ## nleapy configuration
-	case ${config_UserChoices_CalendarType} in
-        	leap)
-            	OPA_NLEAPY=1;;
-        	noleap)
-            	OPA_NLEAPY=0;;
-        	360d)
-            	OPA_NLEAPY=30;;
-    	esac
-
-
-        typeset -r PRECIS=8
-	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
-
-   IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp    ${config_UserChoices_JobName}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000  ${OPA_NIT000}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend  ${OPA_NITEND}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart ${OPA_LRSTAR}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock ${OPA_NSTOCK}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl ${OPA_NRSTDT}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0 ${PeriodDateBegin}
-   IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh    ${OPA_NMSH}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
-
-   # update domain_def.xml file
-   case ${RESOL_OCE} in
-       ( *ORCA2* ) 
-          sed -e 's/<domain id="1point" zoom_ibegin="150" zoom_jbegin="150"/<domain id="1point" zoom_ibegin="10" zoom_jbegin="10"/' domain_def.xml > domain_def.xml.tmp 
-          IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ;
-   esac
-
-    IGCM_debug_PopStack "OCE_Update"
-}
+
+    IGCM_debug_PopStack "OCE_Online_Update"
+}
+
+function OCE_offline_Update
+{
+    IGCM_debug_PushStack "OCE_Offline_Update"
+    IGCM_debug_PopStack "OCE_Offline_Update"
+
+}
+
 
 #-----------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg	(revision 2814)
@@ -94,4 +94,6 @@
 !-----------------------------------------------------------------------
    nn_fsbc     = 3         !  frequency of surface boundary condition computation
+   nn_isf      = 3         !  ice shelf melting/freezing                (/=0 => fill namsbc_isf)
+                           !  3 = rnf file for isf
    nn_ice_embd = 1         ! embedded sea-ice (full salt and mass exchanges and pressure)
    ln_dm2dc    = .true.    !  Daily mean to diurnal cycle on short wave
@@ -117,4 +119,6 @@
 !-----------------------------------------------------------------------
    sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true. , 'yearly' , 'weights_reg05_2_eorca1_bilinear.nc' , '' , ''
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   nn_chldta   =      2    !  RGB : 2D Chl data (=1), 3D Chl data (=2) or cst value (=0)
 /
 !-----------------------------------------------------------------------
@@ -139,4 +143,14 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+!              !
+   sn_rnfisf     = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmax_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmin_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+/
+!-----------------------------------------------------------------------
 &namsbc_apr    !   Atmospheric pressure used as ocean forcing or in bulk
 !-----------------------------------------------------------------------
@@ -152,4 +166,11 @@
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
+   nn_ice_alb  =    1   !  parameterization of ice/snow albedo
+                        !     0: Shine & Henderson-Sellers (JGR 1985)
+                        !     1: "home made" based on Brandt et al. (J. Climate 2005)
+                        !                         and Grenfell & Perovich (JGR 2004)
+   rn_albice   =  0.5   !  albedo of bare puddled ice (values from 0.49 to 0.58)
+                        !     0.53 (default) => if nn_ice_alb=0
+                        !     0.50 (default) => if nn_ice_alb=1
 /
 !-----------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg	(revision 2762)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg	(revision 2814)
@@ -119,4 +119,6 @@
 !-----------------------------------------------------------------------
    sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true. , 'yearly' , 'weights_reg05_2_eorca1_bilinear.nc' , '' , ''
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   nn_chldta   =      2    !  RGB : 2D Chl data (=1), 3D Chl data (=2) or cst value (=0)
 /
 !-----------------------------------------------------------------------
@@ -164,4 +166,11 @@
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
+   nn_ice_alb  =    1   !  parameterization of ice/snow albedo
+                        !     0: Shine & Henderson-Sellers (JGR 1985)
+                        !     1: "home made" based on Brandt et al. (J. Climate 2005)
+                        !                         and Grenfell & Perovich (JGR 2004)
+   rn_albice   =  0.5   !  albedo of bare puddled ice (values from 0.49 to 0.58)
+                        !     0.53 (default) => if nn_ice_alb=0
+                        !     0.50 (default) => if nn_ice_alb=1
 /
 !-----------------------------------------------------------------------