Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 2814)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 2815)
@@ -30,79 +30,6 @@
 #-----------------------------------------------------------------
 function OCE_Update
-
+{
     IGCM_debug_PushStack "OCE_Update"
-
-
-    ##-- 
-    if [ X"${opa9_UserChoices_Online}" = Xy ] ; then
-	OCE_Online_Update
-    else
-	OCE_Offline_Update
-    fi
-
-    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
-    # Needed by OPA namelist to compute correct file names 
-    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
-
-    ## Count of number of time steps from begin of OPA job
-    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NDT_DAY + 1 ))
-    (( OPA_NDT   = PeriodLengthInDays * OPA_NDT_DAY ))
-    (( OPA_NITEND = OPA_NIT000 + OPA_NDT - 1))
-
-    ## Forcing to write one restart file at the end of period
-    OPA_NSTOCK="${OPA_NITEND}"
-
-    ## Verification of number of time steps per day
-    (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
-    (( NB_SEC_DAY = 60 * 60 * 24 ))
-
-    if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
-	then
-        echo " NB_SEC_DAY_MODEL "${NB_SEC_DAY_MODEL} "NB_SEC_DAY" ${NB_SEC_DAY} "OPA_NDT_DAY" ${OPA_NDT_DAY} "OPA_RDT" ${OPA_RDT}
-        echo " VERIFY OPA_NDT_DAY in opa9.card "
-        exit
-    fi
-
-      
-     ## nleapy configuration
-	case ${config_UserChoices_CalendarType} in
-        	leap)
-            	OPA_NLEAPY=1;;
-        	noleap)
-            	OPA_NLEAPY=0;;
-        	360d)
-            	OPA_NLEAPY=30;;
-    	esac
-
-
-        typeset -r PRECIS=8
-	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
-
-   IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp    ${config_UserChoices_JobName}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000  ${OPA_NIT000}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend  ${OPA_NITEND}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart ${OPA_LRSTAR}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock ${OPA_NSTOCK}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl ${OPA_NRSTDT}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0 ${PeriodDateBegin}
-   IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh    ${OPA_NMSH}
-   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
-
-   # update domain_def.xml file
-   case ${RESOL_OCE} in
-       ( *ORCA2* ) 
-          sed -e 's/<domain id="1point" zoom_ibegin="150" zoom_jbegin="150"/<domain id="1point" zoom_ibegin="10" zoom_jbegin="10"/' domain_def.xml > domain_def.xml.tmp 
-          IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ;
-   esac
-
-
-    IGCM_debug_PushStack "OCE_Update"
-
-
-{
-}
-function OCE_Online_Update
-{
-    IGCM_debug_PushStack "OCE_Online_Update"
 
     # Interannual run
@@ -244,4 +171,26 @@
 
     done
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ## Count of number of time steps from begin of OPA job
+    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NDT_DAY + 1 ))
+    (( OPA_NDT   = PeriodLengthInDays * OPA_NDT_DAY ))
+    (( OPA_NITEND = OPA_NIT000 + OPA_NDT - 1))
+
+    ## Forcing to write one restart file at the end of period
+    OPA_NSTOCK="${OPA_NITEND}"
+
+    ## Verification of number of time steps per day
+    (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
+    (( NB_SEC_DAY = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
+	then
+        echo " NB_SEC_DAY_MODEL "${NB_SEC_DAY_MODEL} "NB_SEC_DAY" ${NB_SEC_DAY} "OPA_NDT_DAY" ${OPA_NDT_DAY} "OPA_RDT" ${OPA_RDT}
+        echo " VERIFY OPA_NDT_DAY in opa9.card "
+        exit
+    fi
 
     ##-- Restart configuration
@@ -270,15 +219,38 @@
 
     fi
-
-    IGCM_debug_PopStack "OCE_Online_Update"
-}
-
-function OCE_offline_Update
-{
-    IGCM_debug_PushStack "OCE_Offline_Update"
-    IGCM_debug_PopStack "OCE_Offline_Update"
-
-}
-
+   
+     ## nleapy configuration
+	case ${config_UserChoices_CalendarType} in
+        	leap)
+            	OPA_NLEAPY=1;;
+        	noleap)
+            	OPA_NLEAPY=0;;
+        	360d)
+            	OPA_NLEAPY=30;;
+    	esac
+
+
+        typeset -r PRECIS=8
+	NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
+
+   IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp    ${config_UserChoices_JobName}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000  ${OPA_NIT000}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend  ${OPA_NITEND}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart ${OPA_LRSTAR}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock ${OPA_NSTOCK}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl ${OPA_NRSTDT}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0 ${PeriodDateBegin}
+   IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh    ${OPA_NMSH}
+   IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
+
+   # update domain_def.xml file
+   case ${RESOL_OCE} in
+       ( *ORCA2* ) 
+          sed -e 's/<domain id="1point" zoom_ibegin="150" zoom_jbegin="150"/<domain id="1point" zoom_ibegin="10" zoom_jbegin="10"/' domain_def.xml > domain_def.xml.tmp 
+          IGCM_sys_Mv domain_def.xml.tmp domain_def.xml  ;
+   esac
+
+    IGCM_debug_PopStack "OCE_Update"
+}
 
 #-----------------------------------