Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUSS/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2816)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim/COMP/xios.card	(revision 2817)
@@ -21,5 +21,5 @@
 
 [OutputText]
-List=   (xios_client_*)
+List=   (xios_client_*,out_xios.x.err.*, out_xios.x.out.*)
 
 [OutputFiles]