Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 2820)
+++ /modipsl/trunk/util/mod.def	(revision 2821)
@@ -124,5 +124,5 @@
 #-C- IPSLCM6.0.0-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
 
-#-H- IPSLCM6.0.1-LR  IPSLCM6.0.0-LR coupled configuration
+#-H- IPSLCM6.0.1-LR  IPSLCM6.0.1-LR coupled configuration
 #-H- IPSLCM6.0.1-LR  1st frozen IPSLCM6-LR version 
 #-H- IPSLCM6.0.1-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
@@ -133,5 +133,5 @@
 #-H- IPSLCM6.0.1-LR  ORCHIDEE version trunk rev 3171
 #-H- IPSLCM6.0.1-LR  OASIS3-MCT 2.0_branch rev 1129
-#-H- IPSLCM6.0.1-LR  IPSLCM6 svn
+#-H- IPSLCM6.0.1-LR  IPSLCM6 svn 2796
 #-H- IPSLCM6.0.1-LR  libIGCM tag libIGCM_v2.8.1
 #-M- IPSLCM6.0.1-LR  arnaud.caubel@lsce.ipsl.fr
@@ -146,8 +146,8 @@
 #-C- IPSLCM6.0.1-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
 
-#-H- IPSLCM6.0.2-LR  IPSLCM6.0.0-LR coupled configuration
+#-H- IPSLCM6.0.2-LR  IPSLCM6.0.2-LR coupled configuration
 #-H- IPSLCM6.0.2-LR  2nd frozen IPSLCM6-LR version 
 #-H- IPSLCM6.0.2-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
-#-H- IPSLCM6.0.1-LR  SHACONEMO revision 47
+#-H- IPSLCM6.0.2-LR  SHACONEMO revision 47
 #-H- IPSLCM6.0.2-LR  XIOS branch xios-1.0 revision 661
 #-H- IPSLCM6.0.2-LR  IOIPSL/src svn tags/v2_2_2
@@ -155,5 +155,5 @@
 #-H- IPSLCM6.0.2-LR  ORCHIDEE version trunk rev 3171
 #-H- IPSLCM6.0.2-LR  OASIS3-MCT 2.0_branch rev 1129
-#-H- IPSLCM6.0.2-LR  IPSLCM6 svn
+#-H- IPSLCM6.0.2-LR  IPSLCM6 svn 2819
 #-H- IPSLCM6.0.2-LR  libIGCM tag libIGCM_v2.8.1
 #-M- IPSLCM6.0.2-LR  arnaud.caubel@lsce.ipsl.fr
@@ -162,5 +162,5 @@
 #-C- IPSLCM6.0.2-LR  branches/OASIS3-MCT_2.0_branch/oasis3-mct 1129        15  oasis3-mct     .
 #-C- IPSLCM6.0.2-LR  LMDZ5/branches/testing                    2488        11  LMDZ           modeles
-#-C- IPSLCM6.0.2-LR  CONFIG/UNIFORM/v6/IPSLCM6                 HEAD         8  IPSLCM6        config
+#-C- IPSLCM6.0.2-LR  CONFIG/UNIFORM/v6/IPSLCM6                 2819         8  IPSLCM6        config
 #-C- IPSLCM6.0.2-LR  tags/libIGCM_v2.8.1                       HEAD        10  libIGCM        .
 #-C- IPSLCM6.0.2-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    6353         7  .              modeles
@@ -168,4 +168,25 @@
 #-C- IPSLCM6.0.2-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
 
+#-H- IPSLCM6.0.3-LR  IPSLCM6.0.3-LR coupled configuration
+#-H- IPSLCM6.0.3-LR  3rd frozen IPSLCM6-LR version 
+#-H- IPSLCM6.0.3-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
+#-H- IPSLCM6.0.3-LR  SHACONEMO revision 47
+#-H- IPSLCM6.0.3-LR  XIOS branch xios-1.0 revision 661
+#-H- IPSLCM6.0.3-LR  IOIPSL/src svn tags/v2_2_2
+#-H- IPSLCM6.0.3-LR  LMDZ5 trunk rev 2488 
+#-H- IPSLCM6.0.3-LR  ORCHIDEE version trunk rev 3171
+#-H- IPSLCM6.0.3-LR  OASIS3-MCT 2.0_branch rev 1129
+#-H- IPSLCM6.0.3-LR  IPSLCM6 svn 
+#-H- IPSLCM6.0.3-LR  libIGCM tag libIGCM_v2.8.1
+#-M- IPSLCM6.0.3-LR  arnaud.caubel@lsce.ipsl.fr
+#-C- IPSLCM6.0.3-LR  IOIPSL/tags/v2_2_2/src                    HEAD         8  IOIPSL/src     modeles
+#-C- IPSLCM6.0.3-LR  trunk/ORCHIDEE                            3171        14  ORCHIDEE       modeles
+#-C- IPSLCM6.0.3-LR  branches/OASIS3-MCT_2.0_branch/oasis3-mct 1129        15  oasis3-mct     .
+#-C- IPSLCM6.0.3-LR  LMDZ5/branches/testing                    2488        11  LMDZ           modeles
+#-C- IPSLCM6.0.3-LR  CONFIG/UNIFORM/v6/IPSLCM6                 HEAD         8  IPSLCM6        config
+#-C- IPSLCM6.0.3-LR  tags/libIGCM_v2.8.1                       HEAD        10  libIGCM        .
+#-C- IPSLCM6.0.3-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    6353         7  .              modeles
+#-C- IPSLCM6.0.3-LR  trunk/ORCA1_LIM3_PISCES                     47        17  .              modeles/NEMOGCM/CONFIG
+#-C- IPSLCM6.0.3-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
 
 #-H- IPSLCM5A  IPSLCM5A coupled configuration used for CMIP5