Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 2824)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 2825)
@@ -37,5 +37,4 @@
    jpjglo      =     332               !  2nd    -                  -    --> j  =jpjdta
    jperio      =       6               !  lateral cond. type (between 0 and 6)
-   !ln_use_jattr = .true.               !  use (T) the file attribute: open_ocean_jstart if present
 /
 !-----------------------------------------------------------------------
@@ -50,5 +49,4 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   nn_msh      = _AUTO_    !  AUTO - Create (=1) a mesh file or not (=0)
    rn_rdt      = 2700.     !  time step for the dynamics (and tracer if nn_acc=0)
    nn_closea    =   1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
@@ -71,5 +69,6 @@
    ppkth2      =      48.02989372000000    !
    ppacr2      =      13.00000000000   !
-   rn_hmin     =   20. 
+   rn_hmin     =   20.
+   nn_msh      = _AUTO_    !  AUTO - Create (=1) a mesh file or not (=0)
 /
 !-----------------------------------------------------------------------
@@ -105,13 +104,6 @@
    nn_fsbc     =  2        !  frequency of surface boundary condition computation
                            !     (also = the frequency of sea-ice model call)
-   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio)
    ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
-   ln_blk_mfs  = .false.   !  MFS bulk formulation                      (T => fill namsbc_mfs )
    ln_cpl      = .true.    !  atmosphere coupled   formulation          ( requires key_oasis3 )
-   ln_mixcpl   = .false.   !  forced-coupled mixed formulation          ( requires key_oasis3 )
-   ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
-   nn_ice      = 2         !  =0 no ice boundary condition   ,
-                           !  =1 use observed ice-cover      ,
-                           !  =2 ice-model used                         ("key_lim3" or "key_lim2")
    nn_limflx =   2         !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
                            !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
@@ -123,10 +115,9 @@
                            !  =1 levitating ice with mass and salt exchange but no presure effect
                            !  =2 embedded sea-ice (full salt and mass exchanges and pressure)
-   ln_dm2dc    = .false.   !  daily mean to diurnal cycle on short wave
    ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
                            !     =1 global mean of e-p-r set to zero at each time step
-/
+   nn_isf      = 0         !  No ice shelf melting/freezing parametrisation
 !-----------------------------------------------------------------------
 &namsbc_core   !   namsbc_core  CORE bulk formulae
@@ -136,6 +127,7 @@
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
-   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
-   sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true
+   sn_chl      ='merged_ESACCI_BIOMER4V1R1_CHL_REG05',  -1  , 'CHLA' , .true. , .true. , 'yearly' , 'weights_reg05_2_eorca1_bilinear.nc' , '' , ''
+   ln_traqsr   = .true.    !  Light penetration (T) or not (F)
+   nn_chldta   =      2    !  RGB : 2D Chl data (=1), 3D Chl data (=2) or cst value (=0)
 /
 !-----------------------------------------------------------------------
@@ -154,8 +146,18 @@
    ln_rnf_tem   = .false.    !  read in temperature information for runoff
    ln_rnf_sal   = .false.    !  read in salinity information for runoff
-   ln_rnf_depth_ini = .true. !  compute depth at initialisation from runoff file
+   ln_rnf_depth_ini = .false.!  compute depth at initialisation from runoff file
    rn_rnf_max   = 0.05       !  max value of the runoff climatology over global domain ( if ln_rnf_depth_ini = .true )
    rn_dep_max = 150.         !  depth over which runoffs is spread ( ln_rnf_depth_ini = .true )
-   nn_rnf_depth_file = _AUTO_     ! create (=1) a runoff depth file or not (=0)
+   nn_rnf_depth_file =  _AUTO_   ! create (=1) a runoff depth file or not (=0)
+/
+!-----------------------------------------------------------------------
+&namsbc_isf    !  Top boundary layer (ISF)
+!-----------------------------------------------------------------------
+!              ! file name ! frequency (hours) ! variable ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !           !  (if <0  months)  !   name   !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+!              !
+   sn_rnfisf     = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sornfisf',    .false.      , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmax_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmax_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
+   sn_depmin_isf = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc' ,   -12      ,'sodepmin_isf' ,   .false.  , .true.  , 'yearly'  ,  ''      ,   ''
 /
 !-----------------------------------------------------------------------
@@ -166,8 +168,18 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_sss      = 'sss_absolute_salinity_WOA13_decav_Reg1L75_clim', -1. , 'sosaline', .true. , .true. , 'yearly' , 'weights_WOA13d1_2_eorca1_bilinear.nc' , ''
 /
 !-----------------------------------------------------------------------
 &namsbc_alb    !   albedo parameters
 !-----------------------------------------------------------------------
+   nn_ice_alb  =    1   !  parameterization of ice/snow albedo
+                        !     0: Shine & Henderson-Sellers (JGR 1985)
+                        !     1: "home made" based on Brandt et al. (J. Climate 2005)
+                        !                         and Grenfell & Perovich (JGR 2004)
+   rn_albice   =  0.5   !  albedo of bare puddled ice (values from 0.49 to 0.58)
+                        !     0.53 (default) => if nn_ice_alb=0
+                        !     0.50 (default) => if nn_ice_alb=1
 /
 !-----------------------------------------------------------------------
@@ -193,5 +205,4 @@
 sn_rcv_cal    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
 sn_rcv_co2    =       'none'              ,    'no'    ,     ''      ,         ''          ,   ''
-/
 /
 !-----------------------------------------------------------------------
@@ -250,12 +261,5 @@
    !
    cn_dir      = './'      !  root directory for the location of the runoff files
-   ln_trabbc   = .true.    !  Apply a geothermal heating at the ocean bottom
    nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux
-                           !     = 1 constant flux
-                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2)
-   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
-
-/
-  
 /
 !-----------------------------------------------------------------------
@@ -332,11 +336,4 @@
 &namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
 !-----------------------------------------------------------------------
-   rn_ebb      =  60.      !  coef. of the surface input of tke (=67.83 suggested when ln_mxl0=T)
-   rn_mxl0     =   0.01    !  surface  buoyancy lenght scale minimum value
-   nn_etau     =   0       !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
-                           !        = 0 no penetration
-                           !        = 1 add a tke source below the ML
-                           !        = 2 add a tke source just at the base of the ML
-                           !        = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
 /
 !-----------------------------------------------------------------------
@@ -355,5 +352,5 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
-   ln_nnogather=  .false.  !
+   ln_nnogather=  .true.   !
    jpni        =   15      !  jpni   number of processors following i (set automatically if < 1)
    jpnj        =   12      !  jpnj   number of processors following j (set automatically if < 1)
@@ -363,7 +360,4 @@
 &namctl        !   Control prints & Benchmark
 !----------------------------------------------------------------------- 
-   ln_ctl      = .false.   !  trends control print (expensive!)
-   nn_print    =    0      !  level of print (0 no extra print)
-   nn_timing   =    0      !  timing by routine activated (=1) creates timing.output file, or not (=0)
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_lim3_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_lim3_ORCA1_cfg	(revision 2824)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_lim3_ORCA1_cfg	(revision 2825)
@@ -6,7 +6,8 @@
 &namicerun     !   Share parameters for dynamics/advection/thermo
 !-----------------------------------------------------------------------
-   cn_icerst_in  = "restart_ice_in"   !  suffix of ice restart name (input)
-   ln_limdiahsb  = .false.         !  check the heat and salt budgets (T) or not (F)
-   ln_limdiaout  = .false.          !  output the heat and salt budgets (T) or not (F)
+   cn_icerst_in  = "restart_ice_in" !  suffix of ice restart name (input)
+   rn_amax_s     = 0.95             !  maximum tolerated ice concentration SH
+   ln_limdiahsb  = .true.           !  check the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .true.           !  output the heat and salt budgets (T) or not (F)
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg	(revision 2824)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg	(revision 2825)
@@ -76,10 +76,9 @@
    ln_dust     =  .true.   ! boolean for dust input from the atmosphere
    ln_solub    =  .true.   ! boolean for variable solubility of atm. Iron
-   ln_river    =  .false.  ! AUTO - boolean for river input of nutrients
-   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of
+   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
    ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    ln_ironice  =  .true.   ! boolean for Fe input from sea ice
    sedfeinput  =  1.e-9    ! Coastal release of Iron
-   ln_hydrofe  =  .false.  ! AUTO - boolean for hydrothermal vents
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg	(revision 2824)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg	(revision 2825)
@@ -5,5 +5,4 @@
 &namtrc_run     !   run information
 !-----------------------------------------------------------------------
-   nn_dttrc      =  1        !  time step frequency for passive sn_tracers
    nn_writetrc   =  5475     !  time step frequency for sn_tracer outputs
    ln_top_euler  = .true.    !  use Euler time-stepping for TOP
@@ -77,4 +76,5 @@
 &namtrc_ldf    !   lateral diffusion scheme for passive tracer 
 !-----------------------------------------------------------------------
+   rn_fact_lap      =     15.    !     enhanced zonal eddy diffusivity
 /
 !-----------------------------------------------------------------------