Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2825)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2826)
@@ -16,5 +16,5 @@
 [ParametersFiles]
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref , namelist_ice_ref ), \
-        (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg          , namelist_ice_cfg )
+        (${SUBMIT_DIR}/PARAM/namelist_lim3_${RESOL_OCE}_cfg             , namelist_ice_cfg )
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2825)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2826)
@@ -47,28 +47,28 @@
 
 [OutputFiles]
-List=   (mesh_mask.nc      , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (runoffs.nc        , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_runoffs.nc  , NONE),\
-        (${config_UserChoices_JobName}_1y_scalar.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_scalar.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_grid_T.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_T.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_grid_U.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_U.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_grid_V.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_grid_W.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc, NONE),\
-        (${config_UserChoices_JobName}_1y_diaptr.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr.nc, Post_1Y_diaptr),\
-        (${config_UserChoices_JobName}_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, NONE),\
-        (${config_UserChoices_JobName}_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
-        (${config_UserChoices_JobName}_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
-        (${config_UserChoices_JobName}_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc, Post_1M_grid_V),\
-        (${config_UserChoices_JobName}_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, Post_1M_grid_W),\
-        (${config_UserChoices_JobName}_1m_diaptr.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr.nc, Post_1M_diaptr),\
-	(${config_UserChoices_JobName}_5d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_T.nc, Post_1D_grid_T),\
-        (${config_UserChoices_JobName}_5d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_U.nc, Post_1D_grid_U),\
-        (${config_UserChoices_JobName}_5d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_V.nc, Post_1D_grid_V),\
-        (${config_UserChoices_JobName}_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc, Post_1D_grid_T),\
-        (${config_UserChoices_JobName}_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_1D_grid_U),\
-        (${config_UserChoices_JobName}_1d_grid_W.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc, NONE),\
-        (${config_UserChoices_JobName}_1d_diaptr.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr.nc, NONE),\
-	(${config_UserChoices_JobName}_1ts_grid_T.nc,${R_OUT_OCE_O_D}/${PREFIX}_1TS_grid_T.nc, NONE),\
-        (damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc, NONE),\
-        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
+List=  
+        (${config_UserChoices_JobName}_1y_scalar.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_scalar.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_grid_T.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_T.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_grid_U.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_U.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_grid_V.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_V.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_grid_W.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1y_diaptr.nc, ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr.nc     , Post_1Y_diaptr),\
+        (${config_UserChoices_JobName}_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc     , Post_1M_grid_T),\
+        (${config_UserChoices_JobName}_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc     , Post_1M_grid_U),\
+        (${config_UserChoices_JobName}_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc     , Post_1M_grid_V),\
+        (${config_UserChoices_JobName}_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc     , Post_1M_grid_W),\
+        (${config_UserChoices_JobName}_1m_diaptr.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_diaptr.nc     , Post_1M_diaptr),\
+        (${config_UserChoices_JobName}_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc     , Post_1D_grid_T),\
+        (${config_UserChoices_JobName}_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc     , Post_1D_grid_U),\
+        (${config_UserChoices_JobName}_1d_grid_W.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_SBC.nc   , ${R_OUT_OCE_O_D}/${PREFIX}_1D_SBC.nc        , NONE          ),\
+        (${config_UserChoices_JobName}_1d_diaptr.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_diaptr.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_scalar.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_scalar.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1d_SBC_scalar, ${R_OUT_OCE_O_D}/${PREFIX}_1D_SBC_scalar.nc, NONE          ),\
+        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc                       , NONE),\
+        (runoffs.nc       , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_runoffs.nc                         , NONE),\
+	(damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc                                     , NONE),\
+        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc                                        , NONE),\
         (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2825)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2826)
@@ -43,9 +43,12 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1m_bioscalar.nc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc, Post_1D_bioscalar), \
-        (${config_UserChoices_JobName}_1m_ptrc_T.nc , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc, Post_1M_ptrc_T) , \
-        (${config_UserChoices_JobName}_1m_diad_T.nc , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc, Post_1M_diad_T) , \
-        (${config_UserChoices_JobName}_1y_ptrc_T.nc , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc, Post_1Y_ptrc_T) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc, Post_1Y_diad_T)
+List=   
+        (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+	(${config_UserChoices_JobName}_1m_bioscalar.nc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1D_bioscalar) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
+	(${config_UserChoices_JobName}_1d_bioscalar.nc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar) , \
+
 
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/file_def_nemo.xml
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/file_def_nemo.xml	(revision 2825)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/file_def_nemo.xml	(revision 2826)
@@ -9,43 +9,5 @@
 
 <file_definition type="one_file" name="@expname@_@freq@" sync_freq="1d" min_digits="4">
-  
-  <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".FALSE."> <!-- 1 time step files -->
-    <file id="file51" name_suffix="_grid_T" description="ocean T grid variables" >
-      <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
-      <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
-      <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
-      <field field_ref="mldkz5"       />
-      <field field_ref="mldr10_1"     />
-      <field field_ref="ssu"          name="uos"     long_name="sea_surface_x_velocity"    />
-      <field field_ref="ssv"          name="vos"     long_name="sea_surface_y_velocity"    />
-
-    </file>
-    <file id="file52" name_suffix="_SBC" description="surface fluxes variables" > <!-- time step automaticaly defined based on nn_fsbc -->
-      <field field_ref="empmr"        name="wfo"      long_name="water_flux_into_sea_water"                     />
-      <field field_ref="qsr_oce"      name="qsr_oce"  long_name="downward shortwave flux at ocean surface"           />
-      <field field_ref="qns_oce"      name="qns_oce"  long_name="downward non solar flux at ocean surface"           />
-      <field field_ref="qt_oce"       name="qt_oce"   long_name="downward total flux at ocean surface"           />
-      <field field_ref="qsr_ice"      name="qsr_ice"  long_name="downward shortwave flux at ice surface"           />
-      <field field_ref="qns_ice"      name="qns_ice"  long_name="downward non solar flux at ice surface"           />
-      <field field_ref="qtr_ice"      name="qtr_ice"  long_name="shortwave flux transmitted thru the ice"           />
-      <field field_ref="qt_ice"       name="qt_ice"   long_name="downward total flux at ice surface"           />
-      <field field_ref="saltflx"      name="sfx"  />
-      <field field_ref="taum"         name="taum" />
-      <field field_ref="wspd"         name="windsp"  />
-      <field field_ref="precip"       name="precip" />
-      <!-- ice and snow -->
-      <field field_ref="snowpre"      />
-      <field field_ref="utau_ice"         name="utau_ice" />
-      <field field_ref="vtau_ice"         name="vtau_ice" />
-      <field field_ref="snowthic_cea"     name="snthic"     long_name="surface_snow_thickness"   />
-      <field field_ref="icethic_cea"      name="sithic"     long_name="sea_ice_thickness"        />
-      <field field_ref="uice_ipa"         name="sivelu" />
-      <field field_ref="vice_ipa"         name="sivelv" />
-      <field field_ref="icevolu"          name="sivolu"  />
-      <field field_ref="snowvol"          name="snvolu"  />
-      <field field_ref="iceconc"          name="siconc"  />
-    </file>
-  </file_group>
-   
+    
   <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
 
@@ -61,33 +23,12 @@
     
     <file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
-      <field field_ref="e3t"  />
-      <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"                    operation="instant" freq_op="1d" > @toce_e3t / @e3t </field>
-      <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                                 operation="instant" freq_op="1d" > @soce_e3t / @e3t </field>
-      <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
-      <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
-      <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
-      <field field_ref="sst"          name="tosstd"   long_name="sea_surface_temperature_standard_deviation"         operation="instant" freq_op="1d" > sqrt( @sst2 - @sst * @sst ) </field>
-      <field field_ref="ssh"          name="zosstd"   long_name="sea_surface_height_above_geoid_standard_deviation"  operation="instant" freq_op="1d" > sqrt( @ssh2 - @ssh * @ssh ) </field>
-      <field field_ref="sst"          name="sstdcy"   long_name="amplitude of sst diurnal cycle" operation="average" freq_op="1d" > @sstmax - @sstmin </field>
-      <field field_ref="mldkz5"       />
-      <field field_ref="mldr10_1"     />
-      <field field_ref="mldr10_1"     name="mldr10_1dcy"  long_name="amplitude of mldr10_1 diurnal cycle" operation="average" freq_op="1d" > @mldr10_1max - @mldr10_1min </field>
-      <field field_ref="sbt"                          />
-      <field field_ref="heatc"        name="heatc"    long_name="Heat content vertically integrated"            />
-      <field field_ref="saltc"        name="saltc"    long_name="Salt content vertically integrated"            />
-      <!-- next variables available with key_diahth -->
-      <field field_ref="mlddzt"        level="1" />
-      <field field_ref="mldr10_3"      level="1" />
-      <field field_ref="mldr0_1"       level="1" />
-      <field field_ref="mldr0_3"       level="1" />
-      <field field_ref="mld_dt02"      level="1" />
-      <field field_ref="topthdep"      level="1" />
-      <field field_ref="pycndep"       level="1" />
-      <field field_ref="BLT"           level="1" />
-      <field field_ref="tinv"          level="1" />
-      <field field_ref="depti"         level="1" />
-      <!-- <field field_ref="20d"           level="1" /> -->
-      <!-- <field field_ref="28d"           level="1" /> -->
-      <field field_ref="hc300"         level="1" />
+  	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	  <field field_ref="sst"          name="tosstd"   long_name="sea_surface_temperature_standard_deviation"         operation="instant" freq_op="1d" > sqrt( @sst2 - @sst * @sst ) </field>
+	  <field field_ref="ssh"          name="zosstd"   long_name="sea_surface_height_above_geoid_standard_deviation"  operation="instant" freq_op="1d" > sqrt( @ssh2 - @ssh * @ssh ) </field>
+	  <field field_ref="sst"          name="sstdcy"   long_name="amplitude of sst diurnal cycle" operation="average" freq_op="1d" > @sstmax - @sstmin </field>
+	  <field field_ref="mldr10_1"     />
+	  <field field_ref="mldr10_1"     name="mldr10_1dcy"  long_name="amplitude of mldr10_1 diurnal cycle" operation="average" freq_op="1d" > @mldr10_1max - @mldr10_1min </field>
     </file>
     
@@ -165,88 +106,17 @@
       
     </file>
-    <file id="file4" name_suffix="_icemod" description="ice variables" enabled=".false." >
-      <field field_ref="snowthic_cea"     name="snthic"     long_name="surface_snow_thickness"   />
-      <field field_ref="icethic_cea"      name="sithic"     long_name="sea_ice_thickness"        />
-      <field field_ref="icevolu"          name="sivolu"  />
-      <field field_ref="snowvol"          name="snvolu"  />
-      <field field_ref="iceconc"          name="siconc"  />
-      
-      <field field_ref="vfxbog"          name="vfxbog" />
-      <field field_ref="vfxdyn"          name="vfxdyn" />
-      <field field_ref="vfxopw"          name="vfxopw" />
-      <field field_ref="vfxsni"          name="vfxsni" />
-      <field field_ref="vfxsum"          name="vfxsum" />
-      <field field_ref="vfxbom"          name="vfxbom" />
-      <field field_ref="vfxres"          name="vfxres" />
-      <field field_ref="vfxice"          name="vfxice" />
-      <field field_ref="vfxsnw"          name="vfxsnw" />
-      <field field_ref="vfxsub"          name="vfxsub" />
-      <field field_ref="vfxspr"          name="vfxspr" />
-      
-      <field field_ref="icetrp"          name="sivtrp" />
-      <field field_ref="snwtrp"          name="snvtrp" />
-      <field field_ref="saltrp"          name="saltrp" />
-      <field field_ref="deitrp"          name="deitrp" />
-      <field field_ref="destrp"          name="destrp" />
-      
-      <field field_ref="sfxbri"           name="sfxbri" />
-      <field field_ref="sfxdyn"           name="sfxdyn" />
-      <field field_ref="sfxres"           name="sfxres" />
-      <field field_ref="sfxbog"           name="sfxbog" />
-      <field field_ref="sfxbom"           name="sfxbom" />
-      <field field_ref="sfxsum"           name="sfxsum" />
-      <field field_ref="sfxsni"           name="sfxsni" />
-      <field field_ref="sfxopw"           name="sfxopw" />
-      <field field_ref="sfx"              name="sfx" />
-      
-      <field field_ref="hfxsum"          name="hfxsum"    />
-      <field field_ref="hfxbom"          name="hfxbom"    />
-      <field field_ref="hfxbog"          name="hfxbog"    />
-      <field field_ref="hfxdif"          name="hfxdif"    />
-      <field field_ref="hfxopw"          name="hfxopw"    />
-      <field field_ref="hfxout"          name="hfxout"    />
-      <field field_ref="hfxin"           name="hfxin"     />
-      <field field_ref="hfxsnw"          name="hfxsnw"    />
-      <field field_ref="hfxerr"          name="hfxerr"    />
-      <field field_ref="hfxerr_rem"      name="hfxerr_rem"    />
-      
-      <!-- ice-ocean heat flux from mass exchange -->
-      <field field_ref="hfxdyn"          name="hfxdyn"    />
-      <field field_ref="hfxres"          name="hfxres"    />
-      <field field_ref="hfxthd"          name="hfxthd"    />
-      <!-- ice-atm. heat flux from mass exchange -->
-      <field field_ref="hfxsub"          name="hfxsub"    />
-      <field field_ref="hfxspr"          name="hfxspr"    />
-      
-      <!-- diags -->
-      <field field_ref="hfxdhc"          name="hfxdhc"    />
-      <field field_ref="hfxtur"          name="hfxtur"    />
-      
-      <field field_ref="isst"             name="sst" />
-      <field field_ref="isss"             name="sss" />
-      <field field_ref="micesalt"         name="sisali" />
-      <field field_ref="micet"            name="sitemp" />
-      <field field_ref="icest"            name="sistem" />
-      <field field_ref="icehc"            name="siheco" />
-      <field field_ref="isnowhc"          name="snheco" />
-      <field field_ref="miceage"          name="siages" />
-      
-      <field field_ref="uice_ipa"         name="sivelu" />
-      <field field_ref="vice_ipa"         name="sivelv" />
-      <field field_ref="icevel"           name="sivelo" />
-      <field field_ref="idive"            name="sidive" />
-      <field field_ref="ishear"           name="sishea" />
-      <field field_ref="icestr"           name="sistre" />
-      
-      <field field_ref="ibrinv"           name="sibrin" />
-      <field field_ref="icecolf"          name="sicolf" />
-      
-      <field field_ref="iceage_cat"       name="siagecat"/>
-      <field field_ref="iceconc_cat"      name="siconcat"/>
-      <field field_ref="icethic_cat"      name="sithicat"/>
-      <field field_ref="snowthic_cat"     name="snthicat"/>
-      <field field_ref="salinity_cat"     name="salincat"/>
-      <field field_ref="brinevol_cat"     name="sibricat"/>
-      
+   
+    <file id="file4" name_suffix="_bioscalar" description="pisces sms variables" >
+      <field field_ref="tdenit"   name="tdenit"   unit="TgN/yr" operation="instant" > tdenit * 14. * 86400. * 365. / 1e12 </field>
+      <field field_ref="tnfix"    name="tnfix"    unit="TgN/yr" operation="instant" > tnfix * 14. * 86400. * 365. / 1e12 </field>
+      <field field_ref="tcflx"    name="tcflx"    unit="PgC/yr" operation="instant" > tcflx * -1. * 12. * 86400. * 365. / 1e15 </field>
+      <field field_ref="tcflxcum" name="tcflxcum" unit="PgC"    operation="instant" > tcflxcum * -1. * 12. / 1e15 </field>
+      <field field_ref="tcexp"    name="tcexp"    unit="PgC/yr" operation="instant" > tcexp * 12. * 86400. * 365. / 1e15 </field>
+      <field field_ref="tintpp"   name="tintpp"   unit="PgC/yr" operation="instant" > tintpp * 12. * 86400. * 365. / 1e15 </field>
+      <field field_ref="pno3tot"  name="pno3tot"  unit="umolN"  operation="instant" > pno3tot * 16. / 122. * 1e6 </field>
+      <field field_ref="ppo4tot"  name="ppo4tot"  unit="umolP"  operation="instant" > ppo4tot * 1. / 122. * 1e6 </field>
+      <field field_ref="psiltot"  name="psiltot"  unit="umolC"  operation="instant" > psiltot * 1e6  </field>
+      <field field_ref="palktot"  name="palktot"  unit="umolC"  operation="instant" > palktot * 1e6  </field>
+      <field field_ref="pfertot"  name="pfertot"  unit="nmolFe" operation="instant" > pfertot * 1e9  </field>
     </file>
     
@@ -716,24 +586,25 @@
       <field field_ref="zosalpac"   />
       <field field_ref="zosrfpac"   />
-      <field field_ref="zomsfpac"   />
-      <field field_ref="zotemind"   />
-      <field field_ref="zosalind"   />
-      <field field_ref="zosrfind"   />
-      <field field_ref="zomsfind"   />
-      <field field_ref="zotemipc"   />
-      <field field_ref="zosalipc"   />
-      <field field_ref="zosrfipc"   />
-      <field field_ref="zomsfipc"   />
-      <field field_ref="sophtadv"   />
-      <field field_ref="sophtldf"   />
-      <field field_ref="sopstadv"   />
-      <field field_ref="sopstldf"   />
-    </file>
-    
-  </file_group>
-
-  <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
-  <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
-  <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
+
+      <field field_ref="LDnut"    />
+        <field field_ref="LNFe"     />
+        <field field_ref="LDFe"     />
+        <field field_ref="LNlight"  />
+        <field field_ref="LDlight"  />
+        <field field_ref="TPP"   />
+       <field field_ref="TPNEW"   />
+        <field field_ref="EPC100"   />
+        <field field_ref="EPFE100"  />
+        <field field_ref="EPSI100"  />
+        <field field_ref="EPCAL100" />
+        <field field_ref="xfracal"  />
+        <field field_ref="GRAZ1"  name="GRAZT" operation="instant" freq_op="1y" > @GRAZ1 + @GRAZ2 </field> 
+    </file>
+
+      </file_group>
+
+      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
+      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
+      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
 
 </file_definition>