Index: TOOLS/ConsoGENCMIP6/bin/alias_catalog.dat.init
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/alias_catalog.dat.init	(revision 2843)
+++ TOOLS/ConsoGENCMIP6/bin/alias_catalog.dat.init	(revision 2843)
@@ -0,0 +1,3 @@
+alias   login      nom               prenom
+====================================================
+PN      xxxxxxxx   nom1              prenom1
Index: TOOLS/ConsoGENCMIP6/bin/plot_login.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_login.py	(revision 2842)
+++ TOOLS/ConsoGENCMIP6/bin/plot_login.py	(revision 2843)
@@ -81,4 +81,32 @@
 
 ########################################
+def get_aliases(alias_file):
+
+  res = {}
+
+  if os.path.isfile(alias_file):
+    try:
+      data = np.genfromtxt(
+        os.path.join(alias_file),
+        skip_header=2,
+        converters={
+          0: str,
+          1: str,
+          2: str,
+          3: str,
+        },
+        missing_values="",
+      )
+    except Exception as rc:
+      print("Empty file {}:\n{}".format(filein, rc))
+      exit(1)
+
+  for alias, login, _, _ in data:
+    res[login] = alias
+
+  return res
+
+
+########################################
 def plot_init():
   paper_size  = np.array([29.7, 21.0])
@@ -97,5 +125,5 @@
 
 ########################################
-def plot_config(ax, ycoord, ylabels, title):
+def plot_config(fig, ax, ycoord, ylabels, title):
   """
   """
@@ -111,5 +139,5 @@
   ax.ticklabel_format(axis="x", style="sci", scilimits=(0, 0))
   ax.set_yticks(ycoord, minor=False)
-  ax.set_yticklabels(ylabels, size="x-small", fontweight="bold")
+  ax.set_yticklabels(ylabels, size="xx-small", fontweight="bold")
   ax.invert_yaxis()
 
@@ -119,4 +147,12 @@
   # 3) Define axes title
   ax.set_xlabel("heures", fontweight="bold")
+
+  # 4) Define plot size
+  fig.subplots_adjust(
+    left=0.08,
+    bottom=0.09,
+    right=0.93,
+    top=0.93,
+  )
 
   # ... Main title and legend ...
@@ -167,7 +203,13 @@
   project_name, DIR, OUT = parse_config("bin/config.ini")
 
-  (file_param, file_utheo, file_data) = \
-      get_input_files(DIR["SAVEDATA"],
-                      [OUT["PARAM"], OUT["UTHEO"], OUT["LOGIN"]])
+  (file_param, file_utheo, file_data) = get_input_files(
+    DIR["SAVEDATA"],
+    [OUT["PARAM"], OUT["UTHEO"], OUT["LOGIN"]]
+  )
+
+  alias_file = os.path.join(
+    "bin",
+    "alias_catalog.dat",
+  )
 
   img_name = os.path.splitext(
@@ -186,4 +228,8 @@
     print(fmt_str.format("img_name", img_name))
 
+  # .. Get alias info ..
+  # ====================
+  alias_dict = get_aliases(alias_file)
+
   # .. Get project info ..
   # ======================
@@ -213,5 +259,10 @@
 
   ycoord  = np.linspace(1, nb_items, num=nb_items)
-  ylabels = [item.login for item in selected_items]
+  ylabels = [
+    alias_dict[item.login] 
+    if item.login in alias_dict 
+    else str(hash(item.login)) 
+    for item in selected_items
+  ]
   consos  = np.array([item.conso for item in selected_items],
                       dtype=float)
@@ -234,5 +285,5 @@
     date
   )
-  plot_config(ax, ycoord, ylabels, title)
+  plot_config(fig, ax, ycoord, ylabels, title)
 
   # ... Save figure ...
Index: TOOLS/ConsoGENCMIP6/bin/plot_store.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_store.py	(revision 2842)
+++ TOOLS/ConsoGENCMIP6/bin/plot_store.py	(revision 2843)
@@ -150,4 +150,32 @@
 
 ########################################
+def get_aliases(alias_file):
+
+  res = {}
+
+  if os.path.isfile(alias_file):
+    try:
+      data = np.genfromtxt(
+        os.path.join(alias_file),
+        skip_header=2,
+        converters={
+          0: str,
+          1: str,
+          2: str,
+          3: str,
+        },
+        missing_values="",
+      )
+    except Exception as rc:
+      print("Empty file {}:\n{}".format(filein, rc))
+      exit(1)
+
+  for alias, login, _, _ in data:
+    res[login] = alias
+
+  return res
+
+
+########################################
 def plot_init():
   paper_size  = np.array([29.7, 21.0])
@@ -168,5 +196,5 @@
 
 ########################################
-def plot_config(ax, coords, ylabels, dirnames, title,
+def plot_config(fig, ax, coords, ylabels, dirnames, title,
                 tot_volume, tot_volume_init, delta):
   """
@@ -183,5 +211,5 @@
   ax.ticklabel_format(axis="x", style="sci", scilimits=(0, 0))
   ax.set_yticks(coords, minor=False)
-  ax.set_yticklabels(ylabels, size="x-small", fontweight="bold")
+  ax.set_yticklabels(ylabels, size="xx-small", fontweight="bold")
   ax.invert_yaxis()
 
@@ -197,4 +225,12 @@
   # 3) Define axes title
   ax.set_xlabel("$To$", fontweight="bold")
+
+  # 4) Define plot size
+  fig.subplots_adjust(
+    left=0.08,
+    bottom=0.09,
+    right=0.93,
+    top=0.93,
+  )
 
   # ... Main title and legend ...
@@ -264,4 +300,9 @@
       get_input_files(DIR["DATA"], [OUT["SINIT"]])
 
+  alias_file = os.path.join(
+    "bin",
+    "alias_catalog.dat",
+  )
+
   img_name = os.path.splitext(
                os.path.basename(__file__)
@@ -279,4 +320,8 @@
     print(fmt_str.format("file_init", file_init))
     print(fmt_str.format("img_name", img_name))
+
+  # .. Get alias info ..
+  # ====================
+  alias_dict = get_aliases(alias_file)
 
   # .. Get project info ..
@@ -316,5 +361,10 @@
   # .. Compute data to be plotted ..
   # ================================
-  ylabels = [item.login for item in selected_items]
+  ylabels = [
+    alias_dict[item.login] 
+    if item.login in alias_dict 
+    else str(hash(item.login)) 
+    for item in selected_items
+  ]
   values = np.array(
     [item.dirsize.convert_size("T").size for item in selected_items],
@@ -325,5 +375,7 @@
     dtype=float
   )
-  dirnames = [item.dirname for item in selected_items]
+  dirnames = [
+    "/".join(item.dirname.split("/")[6:]) for item in selected_items
+  ]
   date = selected_items[0].date
 
@@ -352,5 +404,5 @@
   delta = tot_volume - tot_volume_init
   
-  plot_config(ax, coords, ylabels, dirnames, title,
+  plot_config(fig, ax, coords, ylabels, dirnames, title,
               SizeUnit(tot_volume, "T"),
               SizeUnit(tot_volume_init, "T"),