Index: CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/NEMO/closea.F90
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/NEMO/closea.F90	(revision 2834)
+++ CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/NEMO/closea.F90	(revision 2857)
@@ -107,25 +107,25 @@
             
             !! =======================
-            IF     ( jpjglo == 292 ) THEN  !  ORCA1 R1 Â­ Using pre-v3.6 files or adjusted start row from isf-extended grid
-               isrow = 40
-            ELSEIF ( jpjglo == 332 ) THEN  !  ORCA1 R1 - Using full isfÂ­extended domain.
-               isrow =  0                  !    - Adjust jÂ­indices to account for more southerly starting latitude
+            IF         ( jpjglo == 332 ) THEN  !  eORCA1 R1 - Using full isfÂ­extended domain.
+               isrow =  0
+            ELSEIF     ( jpjglo == 292 ) THEN  !  ORCA1 R1 Â­ Using pre-v3.6 files or adjusted start row from isf-extended grid
+               isrow = 40                      !    - Adjust jÂ­indices to account for less southerly starting latitude
             ENDIF
             
             ncsnr(1)   = 1    ; ncstt(1)   = 0              ! Caspian Sea
-            ncsi1(1)   = 332  ; ncsj1(1)   = 243 - isrow      ! spread over the globe
-            ncsi2(1)   = 344  ; ncsj2(1)   = 275 - isrow
+            ncsi1(1)   = 333  ; ncsj1(1)   = 243 - isrow      ! spread over the globe
+            ncsi2(1)   = 342  ; ncsj2(1)   = 274 - isrow
             ncsir(1,1) = 1    ; ncsjr(1,1) = 1
             !
             ncsnr(2)   = 4    ; ncstt(2)   = 2              ! Lake Superior
-            ncsi1(2)   = 198  ; ncsj1(2)   = 256 - isrow      ! put at St Laurent mouth
+            ncsi1(2)   = 198  ; ncsj1(2)   = 258 - isrow      ! put at St Laurent mouth
             ncsi2(2)   = 204  ; ncsj2(2)   = 262 - isrow
-            ncsir(2,1) = 225  ; ncsjr(1,1) = 220 - isrow
-            ncsir(2,2) = 225  ; ncsjr(1,2) = 221 - isrow
-            ncsir(2,3) = 226  ; ncsjr(1,3) = 220 - isrow
-            ncsir(2,4) = 226  ; ncsjr(1,4) = 221 - isrow
+            ncsir(2,1) = 225  ; ncsjr(2,1) = 220 - isrow
+            ncsir(2,2) = 225  ; ncsjr(2,2) = 221 - isrow
+            ncsir(2,3) = 226  ; ncsjr(2,3) = 220 - isrow
+            ncsir(2,4) = 226  ; ncsjr(2,4) = 221 - isrow
             !
             ncsnr(3)   = 4    ; ncstt(3)   = 2              ! Lake Michigan
-            ncsi1(3)   = 199  ; ncsj1(3)   = 248 - isrow      ! put at St Laurent mouth
+            ncsi1(3)   = 201  ; ncsj1(3)   = 250 - isrow      ! put at St Laurent mouth
             ncsi2(3)   = 203  ; ncsj2(3)   = 256 - isrow
             ncsir(3,1) = 225  ; ncsjr(3,1) = 220 - isrow
@@ -134,7 +134,7 @@
             ncsir(3,4) = 226  ; ncsjr(3,4) = 221 - isrow
             !
-            ncsnr(3)   = 4    ; ncstt(23)   = 2             ! Lake Huron
-            ncsi1(3)   = 204  ; ncsj1(3)   = 252 - isrow      ! put at St Laurent mouth
-            ncsi2(3)   = 209  ; ncsj2(3)   = 255 - isrow
+            ncsnr(4)   = 4    ; ncstt(4)   = 2             ! Lake Huron
+            ncsi1(4)   = 204  ; ncsj1(4)   = 252 - isrow      ! put at St Laurent mouth
+            ncsi2(4)   = 209  ; ncsj2(4)   = 256 - isrow
             ncsir(4,1) = 225  ; ncsjr(4,1) = 220 - isrow
             ncsir(4,2) = 225  ; ncsjr(4,2) = 221 - isrow
@@ -142,7 +142,7 @@
             ncsir(4,4) = 226  ; ncsjr(4,4) = 221 - isrow
             !
-            ncsnr(2)   = 4    ; ncstt(2)   = 2              ! Lake Erie
-            ncsi1(2)   = 206  ; ncsj1(2)   = 249 - isrow      ! put at St Laurent mouth
-            ncsi2(2)   = 209  ; ncsj2(2)   = 251 - isrow
+            ncsnr(5)   = 4    ; ncstt(5)   = 2              ! Lake Erie
+            ncsi1(5)   = 206  ; ncsj1(5)   = 249 - isrow      ! put at St Laurent mouth
+            ncsi2(5)   = 209  ; ncsj2(5)   = 251 - isrow
             ncsir(5,1) = 225  ; ncsjr(5,1) = 220 - isrow
             ncsir(5,2) = 225  ; ncsjr(5,2) = 221 - isrow
@@ -150,7 +150,7 @@
             ncsir(5,4) = 226  ; ncsjr(5,4) = 221 - isrow
             !
-            ncsnr(2)   = 4    ; ncstt(2)   = 2              ! Lake Ontario
-            ncsi1(2)   = 210  ; ncsj1(2)   = 252 - isrow      ! put at St Laurent mouth
-            ncsi2(2)   = 211  ; ncsj2(2)   = 252 - isrow
+            ncsnr(6)   = 4    ; ncstt(6)   = 2              ! Lake Ontario
+            ncsi1(6)   = 210  ; ncsj1(6)   = 252 - isrow      ! put at St Laurent mouth
+            ncsi2(6)   = 212  ; ncsj2(6)   = 252 - isrow
             ncsir(6,1) = 225  ; ncsjr(6,1) = 220 - isrow
             ncsir(6,2) = 225  ; ncsjr(6,2) = 221 - isrow
@@ -158,7 +158,7 @@
             ncsir(6,4) = 226  ; ncsjr(6,4) = 221 - isrow
             !
-            ncsnr(1)   = 1    ; ncstt(1)   = 0             ! Victoria Lake
-            ncsi1(1)   = 321  ; ncsj1(1)   = 180 - isrow     ! spread over the globe
-            ncsi2(1)   = 322  ; ncsj2(1)   = 189 - isrow
+            ncsnr(7)   = 1    ; ncstt(7)   = 0             ! Victoria Lake
+            ncsi1(7)   = 321  ; ncsj1(7)   = 180 - isrow     ! spread over the globe
+            ncsi2(7)   = 322  ; ncsj2(7)   = 189 - isrow
             ncsir(7,1) = 1    ; ncsjr(7,1) = 1
             