Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2861)
@@ -25,5 +25,6 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_Goutorbe1_2_eorca1_bilinear.nc               ,  . ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc               ,  . ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_reg05_2_eorca1_bilinear.nc                   ,  . )
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/weights_reg05_2_eorca1_bilinear.nc                   ,  . ), \
+	    (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/vosaline_360x180-ORCA1_WOA13_climatemonth.nc         , sali_ref_clim_monthly.nc )
 
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver	(revision 2861)
@@ -67,7 +67,7 @@
     (( LagAtm = 86400 / day_step * iphysiq / nsplit_phys ))
 
-    (( LagOce = 86400 / OPA_NPDT_JOUR ))
+    (( LagOce = 86400 / OPA_NPDT_DAY ))
 
-    IGCM_debug_Print 1 "OPA_NPDT_JOUR : ${OPA_NPDT_JOUR}"
+    IGCM_debug_Print 1 "OPA_NPDT_DAY : ${OPA_NPDT_DAY}"
     IGCM_debug_Print 1 "LagAtm        : ${LagAtm}"
     IGCM_debug_Print 1 "LagOce        : ${LagOce}"
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2861)
@@ -37,5 +37,6 @@
     # OPA_RDT=$(       supergrep rn_rdt        namelist_cfg )
     # OPA_NN_FSBC=$(   supergrep nn_fsbc       namelist_cfg )
-    (( OPA_NPDT_JOUR  =  86400 / OPA_RDT        ))
+    (( OPA_NPDT_DAY   =  86400 / OPA_RDT        ))
+    (( OPA_NPDT_YEAR  =  OPA_NPDT_DAY * 365     ))
     (( OPA_RDT_SBC    =  OPA_RDT * OPA_NN_FSBC ))
  
@@ -48,5 +49,6 @@
     IGCM_debug_Print 1 "OPA_NN_FSBC    ${OPA_NN_FSBC}"
     IGCM_debug_Print 1 "OPA_RDT_SBC    ${OPA_RDT_SBC}"
-    IGCM_debug_Print 1 "OPA_NPDT_JOUR  ${OPA_NPDT_JOUR}"
+    IGCM_debug_Print 1 "OPA_NPDT_DAY   ${OPA_NPDT_DAY}"
+    IGCM_debug_Print 1 "OPA_NPDT_YEAR  ${OPA_NPDT_YEAR}"
     IGCM_debug_Print 1 "DaysSinceJC    ${DaysSinceJC}"
 
@@ -96,6 +98,6 @@
 
     ##-- Number of time steps updated : the first, the last and the number of time steps
-    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NPDT_JOUR + 1 ))
-    (( OPA_NPDT   = PeriodLengthInDays * OPA_NPDT_JOUR ))
+    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NPDT_DAY + 1 ))
+    (( OPA_NPDT   = PeriodLengthInDays * OPA_NPDT_DAY ))
     (( OPA_NITEND = OPA_NIT000 + OPA_NPDT - 1))
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver	(revision 2861)
@@ -6,10 +6,5 @@
     IGCM_debug_PushStack "MBG_Initialize"
 
-# Local function to find namelists parameters
-supergrep () {
-    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
-}
-
-# Local function to find parameters in LMDZ .def files
+    # Local function to find parameters in LMDZ .def files
 
 lmdzgrep2 () {
@@ -17,4 +12,9 @@
 }
 
+    ##--Variables used by MBG --
+
+    # ln_rsttr  boolean term for tracer model restart (true or false)
+    # nrsttr    control of the time step (0, 1 or 2)
+    
     IGCM_debug_PopStack "MBG_Initialize"
 }
@@ -29,12 +29,12 @@
 
         #echo "NO RESTART FOR TOP"
-        TOP_LRSTTR=.FALSE.
-        TOP_NRSTTR=0
+        TOP_LN_RSSTR=.FALSE.
+        TOP_NN_RSTR=0
 
     elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "y" ] ) ; then
 
         #echo "RESTART TOP"
-        TOP_LRSTTR=.TRUE.
-        TOP_NRSTTR=0
+        TOP_LN_RSSTR=.TRUE.
+        TOP_NN_RSTR=0
 
         # If we start from IPSLCM5* restart files.
@@ -46,6 +46,6 @@
 
         #echo "RESTART TOP"
-        TOP_LRSTTR=.TRUE.
-        TOP_NRSTTR=2
+        TOP_LN_RSSTR=.TRUE.
+        TOP_NN_RSTR=2
 
     fi
@@ -76,12 +76,12 @@
 	IPCC_PIS_CO2=$( echo "${PreviousLinelog[*]}" | gawk -F '|' '{gsub(" ",""); print $4}' )
 	IGCM_debug_Print 1 "IPCC_PIS_CO2 : ${IPCC_PIS_CO2} "
-        IGCM_comp_modifyNamelist nonblocker    namelist_pisces_cfg atcco2 ${IPCC_PIS_CO2} 
+	IGCM_comp_modifyNamelist force  namelist_pisces_cfg atcco2 ${IPCC_PIS_CO2}
     else
 	IGCM_debug_Print 1 "Take same CO2 as for LMDZ, in parameter file config.def."
-	# ATM_Update is done before MBG_Update and therefor config.def file contains the correct value for CO2.
+	# ATM_Update is done before MBG_Update and therefore config.def file contains the correct value for CO2.
 	IGCM_debug_Print 1 'Update atcco2 in namelist_pisces_cfg with same value as for LMDZ'
 	LMDZ_CO2=$( lmdzgrep2 co2_ppm config.def )
 	IGCM_debug_Print 1 "LMDZ_CO2 : ${LMDZ_CO2} "
-        IGCM_comp_modifyNamelist nonblocker    namelist_pisces_cfg atcco2 ${LMDZ_CO2} 
+	IGCM_comp_modifyNamelist force  namelist_pisces_cfg atcco2 ${LMDZ_CO2}
     fi
 
@@ -90,5 +90,9 @@
    IGCM_comp_modifyNamelist blocker    namelist_top_cfg nn_rsttr  ${TOP_NRSTTR}
 
-   IGCM_debug_PopStack "MBG_Update"
+    IGCM_comp_modifyNamelist blocker  namelist_top_cfg     ln_rsttr   ${TOP_LN_RSSTR}
+    IGCM_comp_modifyNamelist blocker  namelist_top_cfg     nn_rsttr   ${TOP_NN_RSTR}
+    IGCM_comp_modifyNamelist blocker  namelist_pisces_cfg  nn_pisdmp  ${OPA_NPDT_YEAR}
+    
+    IGCM_debug_PopStack "MBG_Update"
 }
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_pisces_ORCA1_cfg	(revision 2861)
@@ -5,5 +5,5 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   atcco2     =  287.    ! Constant value atmospheric pCO2 - ln_co2int = F
+   atcco2     =  _AUTO_: DEFAULT=287.    ! Constant value atmospheric pCO2 - ln_co2int = F
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
@@ -85,5 +85,5 @@
 &nampisdmp     !  Damping 
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   nn_pisdmp   =  8760       !  Frequency of Relaxation
+   nn_pisdmp   =  _AUTO_: DEFAULT=8760       !  Frequency of Relaxation
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg	(revision 2860)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA1_cfg	(revision 2861)
@@ -5,7 +5,12 @@
 &namtrc_run     !   run information
 !-----------------------------------------------------------------------
-   ln_rsttr      = _AUTO_
-   nn_rsttr      = _AUTO_
-   ln_top_euler  = .true.
+   nn_writetrc   =  5475     !  time step frequency for sn_tracer outputs
+   ln_top_euler  = .true.    !  use Euler time-stepping for TOP
+   ln_rsttr      = _AUTOBLOCKER_   !  AUTO - start from a restart file (T) or not (F)
+   nn_rsttr      = _AUTOBLOCKER_   !  AUTO - restart control = 0 initial time step is not compared to the restart file value
+                             !                  = 1 do not use the value in the restart file
+                             !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. sn_tracer restart name (output)
 /
 !-----------------------------------------------------------------------
@@ -41,4 +46,8 @@
    sn_tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
    sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' ,  .false.    ,  .true.
+
+   ln_trcdta     =   .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcdmp     =  .false.  !  add a damping termn (T) or not (F)
+   ln_trcdmp_clo =  .true.   !  damping term (T) or not (F) on closed seas
 /
 !-----------------------------------------------------------------------
@@ -88,4 +97,8 @@
 /
 !-----------------------------------------------------------------------
+&namtrc     !   tracers definition
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namtrc_ice       !    Representation of sea ice growth & melt effects
 !-----------------------------------------------------------------------