Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg	(revision 2876)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg	(revision 2878)
@@ -39,12 +39,11 @@
 #  field | files patterns | files additionnal  | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
+ no3_global  | "NO3"      | "eORCA1.1_grid.nc"  | "(NO3[d=1,k=1])"               | "Nitrate Concentration at surface"      | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ dic_global  | "DIC"      | "eORCA1.1_grid.nc"  | "(DIC[d=1,k=1])"               | "DIC Concentration at surface"          | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ alk_global  | "Alkalini" | "eORCA1.1_grid.nc"  | "(Alkalini[d=1,k=1])"          | "Alkalinity Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ o2_global   | "O2"       | "eORCA1.1_grid.nc"  | "(O2[d=1,k=1])"                | "Oxygen Concentration at surface"       | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ si_global   | "Si"       | "eORCA1.1_grid.nc"  | "(Si[d=1,k=1])"                | "Silicate Concentration at surface"     | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ po4_global  | "PO4"      | "eORCA1.1_grid.nc"  | "(PO4[d=1,k=1])"               | "Phosphorus Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ cflx_global | "Cflx"     | "eORCA1.1_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"            | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
+ epc_global  | "EPC100"   | "eORCA1.1_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"        | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
 #-----------------------------------------------------------------------------------------------------------------
- no3_global  | "NO3"      | "eORCA1.1_grid.nc"  | "(NO3[d=1])"                   | "Nitrate Concentration (GLOBAL)"      | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- dic_global  | "DIC"      | "eORCA1.1_grid.nc"  | "(DIC[d=1])"                   | "DIC Concentration (GLOBAL)"          | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- alk_global  | "Alkalini" | "eORCA1.1_grid.nc"  | "(Alkalini[d=1])"              | "Alkalinity Concentration (GLOBAL)"   | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- o2_global   | "O2"       | "eORCA1.1_grid.nc"  | "(O2[d=1])"                    | "Oxygen Concentration (GLOBAL)"       | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- si_global   | "Si"       | "eORCA1.1_grid.nc"  | "(Si[d=1])"                    | "Silicate Concentration (GLOBAL)"     | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- po4_global  | "PO4"      | "eORCA1.1_grid.nc"  | "(PO4[d=1])"                   | "Phosphorus Concentration (GLOBAL)"   | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- cflx_global | "Cflx"     | "eORCA1.1_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"          | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
- epc_global  | "EPC100"   | "eORCA1.1_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"      | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
-#-----------------------------------------------------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 2876)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 2878)
@@ -39,11 +39,11 @@
 #  field | files patterns | files additionnal  | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
- no3_global  | "NO3"      | "ORCA2.3_grid.nc"  | "(NO3[d=1])"                   | "Nitrate Concentration (GLOBAL)"      | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- dic_global  | "DIC"      | "ORCA2.3_grid.nc"  | "(DIC[d=1])"                   | "DIC Concentration (GLOBAL)"          | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- alk_global  | "Alkalini" | "ORCA2.3_grid.nc"  | "(Alkalini[d=1])"              | "Alkalinity Concentration (GLOBAL)"   | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- o2_global   | "O2"       | "ORCA2.3_grid.nc"  | "(O2[d=1])"                    | "Oxygen Concentration (GLOBAL)"       | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- si_global   | "Si"       | "ORCA2.3_grid.nc"  | "(Si[d=1])"                    | "Silicate Concentration (GLOBAL)"     | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- po4_global  | "PO4"      | "ORCA2.3_grid.nc"  | "(PO4[d=1])"                   | "Phosphorus Concentration (GLOBAL)"   | "mmol/m3"    | "mask[d=2]*volume[d=2]"
- cflx_global | "Cflx"     | "ORCA2.3_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"          | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
- epc_global  | "EPC100"   | "ORCA2.3_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"      | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
+ no3_global  | "NO3"      | "ORCA2.3_grid.nc"  | "(NO3[d=1,k=1])"               | "Nitrate Concentration at surface"      | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ dic_global  | "DIC"      | "ORCA2.3_grid.nc"  | "(DIC[d=1,k=1])"               | "DIC Concentration at surface"          | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ alk_global  | "Alkalini" | "ORCA2.3_grid.nc"  | "(Alkalini[d=1,k=1])"          | "Alkalinity Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ o2_global   | "O2"       | "ORCA2.3_grid.nc"  | "(O2[d=1,k=1])"                | "Oxygen Concentration at surface"       | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ si_global   | "Si"       | "ORCA2.3_grid.nc"  | "(Si[d=1,k=1])"                | "Silicate Concentration at surface"     | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ po4_global  | "PO4"      | "ORCA2.3_grid.nc"  | "(PO4[d=1,k=1])"               | "Phosphorus Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
+ cflx_global | "Cflx"     | "ORCA2.3_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"            | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
+ epc_global  | "EPC100"   | "ORCA2.3_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"        | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
 #-----------------------------------------------------------------------------------------------------------------