Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 2885)
+++ modipsl/trunk/util/mod.def	(revision 2887)
@@ -85,5 +85,5 @@
 #-H- IPSLCM6_rc0  with 5 NEMO sub-domains
 #-H- IPSLCM6_rc0  NEMOGCM trunk revision 4859
-#-H- IPSLCM6_rc0  XIOS branch xios-1.0 revision 604
+#-H- IPSLCM6_rc0  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6_rc0  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6_rc0  LMDZ5 LMDZ6_rc0 branch revision 2316
@@ -100,5 +100,5 @@
 #-C- IPSLCM6_rc0  tags/libIGCM_v2.8.1                       HEAD        10  libIGCM        .
 #-C- IPSLCM6_rc0  trunk/NEMOGCM                             4859         7  .              modeles
-#-C- IPSLCM6_rc0  XIOS/branchs/xios-1.0                      604        12  XIOS           modeles
+#-C- IPSLCM6_rc0  XIOS/branchs/xios-1.0                      703        12  XIOS           modeles
 
 #-H- IPSLCM6.0.0-LR  IPSLCM6.0.0-LR coupled configuration
@@ -106,5 +106,5 @@
 #-H- IPSLCM6.0.0-LR  NEMOGCM branch nemo_v3_6_STABLE revision 5618
 #-H- IPSLCM6.0.1-LR  SHACONEMO revision 47
-#-H- IPSLCM6.0.0-LR  XIOS branch xios-1.0 revision 661
+#-H- IPSLCM6.0.0-LR  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6.0.0-LR  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6.0.0-LR  LMDZ5 testing rev 2412 
@@ -122,5 +122,5 @@
 #-C- IPSLCM6.0.0-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    5618         7  .              modeles
 #-C- IPSLCM6.0.0-LR  trunk/ORCA1_LIM3_PISCES                     37        17  .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.0.0-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
+#-C- IPSLCM6.0.0-LR  XIOS/branchs/xios-1.0                      703        12  XIOS           modeles
 
 #-H- IPSLCM6.0.1-LR  IPSLCM6.0.1-LR coupled configuration
@@ -128,5 +128,5 @@
 #-H- IPSLCM6.0.1-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
 #-H- IPSLCM6.0.1-LR  SHACONEMO revision 47
-#-H- IPSLCM6.0.1-LR  XIOS branch xios-1.0 revision 661
+#-H- IPSLCM6.0.1-LR  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6.0.1-LR  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6.0.1-LR  LMDZ5 trunk rev 2471 
@@ -144,5 +144,5 @@
 #-C- IPSLCM6.0.1-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    6353         7  .              modeles
 #-C- IPSLCM6.0.1-LR  trunk/ORCA1_LIM3_PISCES                     47        17  .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.0.1-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
+#-C- IPSLCM6.0.1-LR  XIOS/branchs/xios-1.0                      703        12  XIOS           modeles
 
 #-H- IPSLCM6.0.2-LR  IPSLCM6.0.2-LR coupled configuration
@@ -150,5 +150,5 @@
 #-H- IPSLCM6.0.2-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
 #-H- IPSLCM6.0.2-LR  SHACONEMO revision 47
-#-H- IPSLCM6.0.2-LR  XIOS branch xios-1.0 revision 661
+#-H- IPSLCM6.0.2-LR  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6.0.2-LR  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6.0.2-LR  LMDZ5 trunk rev 2488 
@@ -166,5 +166,5 @@
 #-C- IPSLCM6.0.2-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    6353         7  .              modeles
 #-C- IPSLCM6.0.2-LR  trunk/ORCA1_LIM3_PISCES                     47        17  .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.0.2-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
+#-C- IPSLCM6.0.2-LR  XIOS/branchs/xios-1.0                      703        12  XIOS           modeles
 
 #-H- IPSLCM6.0.3-LR  IPSLCM6.0.3-LR coupled configuration
@@ -172,5 +172,5 @@
 #-H- IPSLCM6.0.3-LR  NEMOGCM branch nemo_v3_6_STABLE revision 6353
 #-H- IPSLCM6.0.3-LR  SHACONEMO revision 48
-#-H- IPSLCM6.0.3-LR  XIOS branch xios-1.0 revision 661
+#-H- IPSLCM6.0.3-LR  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6.0.3-LR  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6.0.3-LR  LMDZ5 trunk rev 2488 
@@ -188,5 +188,5 @@
 #-C- IPSLCM6.0.3-LR  branches/2015/nemo_v3_6_STABLE/NEMOGCM    6353         7  .              modeles
 #-C- IPSLCM6.0.3-LR  trunk/ORCA1_LIM3_PISCES                     48        17  .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.0.3-LR  XIOS/branchs/xios-1.0                      661        12  XIOS           modeles
+#-C- IPSLCM6.0.3-LR  XIOS/branchs/xios-1.0                      703        12  XIOS           modeles
 
 #-H- IPSLCM6.0.4-LR  IPSLCM6.0.4-LR coupled configuration
@@ -316,5 +316,5 @@
 #-C- LMDZOR_v6  trunk/ORCHIDEE                     3171    14   ORCHIDEE     modeles
 #-C- LMDZOR_v6  LMDZ5/branches/testing             2488    11   LMDZ         modeles
-#-C- LMDZOR_v6  XIOS/branchs/xios-1.0               604    12   XIOS         modeles
+#-C- LMDZOR_v6  XIOS/branchs/xios-1.0               703    12   XIOS         modeles
 #-C- LMDZOR_v6  CONFIG/UNIFORM/v6/LMDZOR_v6        HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
@@ -416,5 +416,5 @@
 #-H- IPSLCM6CHT  with 5 NEMO sub-domains
 #-H- IPSLCM6CHT  NEMOGCM trunk revision 4859
-#-H- IPSLCM6CHT  XIOS branch xios-1.0 revision 604
+#-H- IPSLCM6CHT  XIOS branch xios-1.0 revision 703
 #-H- IPSLCM6CHT  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM6CHT  LMDZ5 testing branch revision 2161
@@ -433,5 +433,5 @@
 #-C- IPSLCM6CHT  tags/libIGCM_v2.8.1                        HEAD        10  libIGCM        .
 #-C- IPSLCM6CHT  trunk/NEMOGCM                              4859	7   .              modeles
-#-C- IPSLCM6CHT  XIOS/branchs/xios-1.0                      604         12  XIOS           modeles
+#-C- IPSLCM6CHT  XIOS/branchs/xios-1.0                      703         12  XIOS           modeles
 
 
@@ -484,5 +484,5 @@
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_trunk  XIOS/branchs/xios-1.0                     604    12 XIOS               modeles
+#-C- ORCHIDEE_trunk  XIOS/branchs/xios-1.0                     703    12 XIOS               modeles
 
 